0

This simple command:

sudo apt-get install -y python-gudev

is giving this error:

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package python-gudev

This is on ubuntu 20.04 Server. I've looked and looked and can't find the solution.

2
  • 1
    Do you mean this <github.com/nzjrs/python-gudev>? It looks like the project is dead, it hasn't been updated in years, all commits are from 2010, except one pull request from 2014. The most recent python-gudev Debian package I could find (for Debian Stretch) depends on Python 2.7, which reached end-of-life on 1/1/2020, and it doesn't seem like there's a Python 3 version available.
    – tttapa
    Jun 14, 2021 at 21:40
  • Yeah... It's used by linorobot which was based on 2.7 but that we are trying to run with 3.7. I did find this: - Sudo apt-get install -y gir1.2-gudev-1.0... Does that make sense to you?
    – pitosalas
    Jun 14, 2021 at 21:58

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.